sun frie v100 安装gentoo后编译mysql源码出错? 400 报错-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

sun frie v100 安装gentoo后编译mysql源码出错? 400 报错

爱吃鱼的程序员 2020-05-30 22:16:13 78

sun frie v100 安装gentoo后编译mysql源码出错? 400 报错 在sun服务器上安装了gentoo sparc发行版本,现在希望安装lnmp服务,但是在源码安装mysql5.5.21的时候遇到问题,提示如下:

[ 29%] Building C object mysys/CMakeFiles/mysys.dir/my_rdtsc.c.o
/tmp/ccltV0DO.s: Assembler messages:
/tmp/ccltV0DO.s:23: Error: Architecture mismatch on "rd".
/tmp/ccltV0DO.s:23:  (Requires v9|v9a|v9b; requested architecture is sparclite.)
/tmp/ccltV0DO.s:23: Error: Architecture mismatch on "srlx".
/tmp/ccltV0DO.s:23:  (Requires v9|v9a|v9b; requested architecture is sparclite.)
make[2]: *** [mysys/CMakeFiles/mysys.dir/my_rdtsc.c.o] Error 1
make[1]: *** [mysys/CMakeFiles/mysys.dir/all] Error 2
make: *** [all] Error 2

我去mysql官方的FAQ看到提问,说5.5.6版本以上就不支持sparc 32位的了。但是我是64位的应该支持啊~安装了几次都不成功。请各位大大们给点思路啥的。

关系型数据库 MySQL
分享到
取消 提交回答
全部回答(1)
  • 爱吃鱼的程序员
    2020-05-30 22:16:14

    楼主的问题解决了吗?我也在gentoo上面装mysql也遇到了类似的问题。

    0 0
数据库
使用钉钉扫一扫加入圈子
+ 订阅

分享数据库前沿,解构实战干货,推动数据库技术变革

推荐文章
相似问题